Bug 855830 - version 2.4 is FTBFS on non-x86 arches
version 2.4 is FTBFS on non-x86 arches
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: texstudio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-09-10 06:52 EDT by Dan Horák
Modified: 2013-01-09 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 05:20:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2012-09-10 06:52:12 EDT
version 2.4 is FTBFS on non-x86 arches, see https://sourceforge.net/tracker/?func=detail&aid=3566269&group_id=250595&atid=1126426 for some details
Comment 1 hannes 2012-09-15 05:29:03 EDT
So upstream fixed it apparently, do you want me to add the patch they applied? Is it the same as the one proposed by you? If so it would be nice if you could send me the patch.

Thanks a lot,

johannes
Comment 2 Peter Robinson 2012-11-01 11:51:34 EDT
(In reply to comment #1)
> So upstream fixed it apparently, do you want me to add the patch they
> applied? Is it the same as the one proposed by you? If so it would be nice
> if you could send me the patch.

Please apply the upstream fix
Comment 3 Dan Horák 2012-11-01 12:19:26 EDT
Primary (and s390) has version 2.5 which already contains the switch to disable the internal crash handler and also adds support for ARM. Peter, please try with texstudio-2.5-2.fc18
Comment 4 Fedora Update System 2012-11-01 14:16:42 EDT
texstudio-2.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-17148/texstudio-2.5-2.fc18
Comment 5 hannes 2012-11-01 14:20:10 EDT
Hi,

Dan thanks for fixing this. I think the bug itself is fixed with this update although I will add this flag to all the branches and remove the if condition.

johannes
Comment 6 Peter Robinson 2013-01-09 05:20:46 EST
Fixed

Note You need to log in before you can comment on or make changes to this bug.